#include<bits/stdc++.h>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    vector<long long> masiv1;
    vector<long long> masiv2;
    for(long long i=0; i<n; i++)
    {
        masiv2.push_back(i+1);
    }
    long long k=2;
    while(masiv2.size()!=1)
    {
        masiv1=masiv2;
        masiv2.clear();
        for(long long i=0; i<masiv1.size(); i++)
        {
            if(i%k==0)
            {
                masiv2.push_back(masiv1[i]);
            }
        }
        k++;
    }
    cout<<masiv1.back();
    return 0;
}
